#!/bin/sh

log_path="/var/log/sysak/shmem/"
old_log="$log_path/shmem_old_log"
new_log="$log_path/shmem_new_log"

rm -rf /var/log/sysak/shmem/*

sysak shmem -h | grep "shmem leak check tool"
if [  $? -ne 0 ];then
    echo "sysak shmem help info check failed"
    exit 1
fi

sysak shmem -t 10

if [ ! -f $old_log ];then
    echo "sysak log check failed"
    exit 1
fi

if [ ! -f $new_log ];then
    echo "sysak log check failed"
    exit 1
fi

cat $old_log | grep "Shared Memory Segments"
if [  $? -ne 0 ];then
    echo "sysak shmem result check failed"
    exit 1
fi

cat $new_log | grep "Shared Memory Segments"
if [  $? -ne 0 ];then
    echo "sysak shmem result check failed"
    exit 1
fi

