#!/bin/sh

btf_path="/usr/local/sysak/.sysak_components/tools/vmlinux-`uname -r`"
ko_path="/usr/local/sysak/.sysak_components/lib/`uname -r`/sysak.ko"

uninstall() {
    rpm -qa sysak |grep "sysak"
    if [ $? -eq 0 ];then
        rpm -e sysak
    fi
}

uninstall
rpm -ivh https://mirrors.openanolis.cn/sysak/packages/gate_check_in/sysak-2.2.0-1.debug.gate.x86_64.rpm
sysak -g -d
if [  $? -ne 0 ];then
    echo "install sysak failed"
    exit 1
fi

if [ ! -f $btf_path ];then
    echo "download btf failed"
    exit 1
fi

if [ ! -f $ko_path ];then
    echo "download kernle module failed"
    exit 1
fi
uninstall