#!/bin/sh

handle_failed() {
    echo "sysak usageinfo check failed"
    unintsall
    exit 1
}

sysak list| grep ossre_client
if [  $? -ne 0 ];then
    handle_failed
fi

sysak list -a| grep memleak
if [  $? -ne 0 ];then
    handle_failed
fi

sysak list -a| grep podmem
if [  $? -ne 0 ];then
    handle_failed
fi

sysak list -a| grep memgraph
if [  $? -ne 0 ];then
    handle_failed
fi

sysak list -a| grep nosched
if [  $? -ne 0 ];then
    handle_failed
fi

sysak list -a| grep schedmoni
if [  $? -ne 0 ];then
    handle_failed
fi

sysak list -a| grep rtrace
if [  $? -ne 0 ];then
    handle_failed
fi

sysak list -a| grep pingtrace
if [  $? -ne 0 ];then
    handle_failed
fi

sysak list -a| grep loadtask
if [  $? -ne 0 ];then
    handle_failed
fi

#not include .so
sysak list -a| grep "\.so"
if [  $? -eq 0 ];then
    handle_failed
fi

if [ ! -f /usr/local/sysak/.sysak_components/tools/dist/app/beeQ/run.sh ];then
    handle_failed
fi
